Bug 17780 - linuxconf module API severely flawed; dnsconf flawed
linuxconf module API severely flawed; dnsconf flawed
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-09-21 18:31 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:47:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-21 18:31:00 EDT
Edit /etc/named.conf to include some other file using BIND's include
directive (a reasonable thing to do if you maintain a large number of
domains and wish to segregate them into various files).  Then fire up
linuxconf - core dump.

I wasted half a day tracking this one down because I rarely use linuxconf
(usually when I'm playing in unfamiliar territory and want to see how
linuxconf does it) and it had been weeks since I made the DNS changes
before I fired up linuxconf.

Problem 1 is that dnsconf doesn't understand the include directive.  This
is understandable - it complicates things beyond the ability of a simple
utility to comprehend.  But instead of reporting back something like
"You've played with this manually so now you're on your own" it dies.

Problem 2.  The linuxconf module API is such that if one of the modules
dies then so does linuxconf, without reporting which module is having

Problem 3.  The only way to disable a module that causes linuxconf to die
with a core dump is to fire up linuxconf to disable that module.  Which is,
under the circumstances, impossible, even if you knew which module needed
to be disabled.

Overall, this means that some weeks after adding the include, I was faced
with a linuxconf that core-dumped with no explanation and no clue as to
why.  Even if I'd known that one of the modules was causing problems and
even if I'd known which module it was, I couldn't disable the module from

This is a mess.  People should probably disable modules if they're going to
be playing with the related files manually, but many won't.  It would be
nice if dnsconf could handle the include directive, but realistically,
that's unlikely to happen.  But the situation where a valid statement in
named.conf disables linuxconf without explanation or any way of fixing the
problem from within linuxconf is unacceptable.

Temporary fix if you're caught out by this problem: remove the include
statements from named.conf, run linuxconf, disable dnsconf as a linuxconf
module, replace the include statements.  This fix applies to problems
related to named.  Other linuxconf modules may well have similar problems;
tracking down which module is causing the problem involves running anything
in /bin which is a soft-link for linuxconf to see which one bombs out.
Comment 1 Brent Fox 2002-06-05 12:19:34 EDT
Closing because we don't ship linuxconf anymore
Comment 2 Red Hat Bugzilla 2006-02-21 13:47:46 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.